Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface SyndicationResult

    public interface SyndicationResult

The `SyndicationResult` class contains the results of a particular syndication event at the time it was generated. It is a container which holds information regarding the items that were modified, updated, removed or created. For example:

Update Summary:
37 total updates sent | `getTotalUpdatesSent()`
37 updates succeeded | `getTotalUpdatesSucceeded()`
0 updates failed | `getTotalUpdatesFailed()`
Update Details :
35 item updates attempted | `getTotalUpdatesAttempted()`
33 items did not require updating | `getItemsNotRequiringUpdates()`
1 items created | `getItemsCreated()`
1 items updated | `getItemsUpdated()`
0 updates failed | `getItemUpdatesFailed()`
2 item removals attempted | `getTotalRemovesAttempted()`
0 items were already removed | `getItemsAlreadyRemoved()`
2 items removed | `getItemsRemoved()`
0 item failed to be removed | `getItemsFailedToRemove()`

Method Summary
`int` | `getItemsAlreadyRemoved()` Returns the total number of items that were to be removed, but did not exist on the subscriber.
`int` | `getItemsCreated()` Returns the total number of items that were created by the update.
`int` | `getItemsFailedToRemove()` Returns the total number of items for which the remove failed.
`int` | `getItemsNotRequiringUpdates()` Returns the total number of updates that were sent, but not processed because the item was already up to date on the subscriber.
`int` | `getItemsRemoved()` Returns the number of items successfully removed on the subscriber.
`int` | `getItemsUpdated()` Returns the total number of item updates to pre-existing items on the subscriber.
`int` | `getItemUpdatesFailed()` Returns the total number of items for which the update failed.
`int` | `getTotalRemovesAttempted()` Returns the total number of items that were marked for removal.
`int` | `getTotalUpdatesAttempted()` Returns the total number of updates attempted.
`int` | `getTotalUpdatesFailed()` Returns the total number of modifications that failed.
`int` | `getTotalUpdatesSent()` Returns the total number of items that was sent in this syndication run.
`int` | `getTotalUpdatesSucceeded()` Returns the total number of modifications that succeeded.

Method Detail

### getTotalUpdatesSent

    int getTotalUpdatesSent()

  Returns the total number of items that was sent in this syndication run. Sent items includes modifications to existing items, new item creations, item fails, removals fails, and already removed items.

  Returns:
    the total number of items sent.
  Since:
    6.1

### getTotalUpdatesSucceeded

    int getTotalUpdatesSucceeded()

  Returns the total number of modifications that succeeded. This includes updates, creates, removals but no item failures.

  Returns:
    the total number of modifications succeeded.
  Since:
    6.1

### getTotalUpdatesFailed

    int getTotalUpdatesFailed()

  Returns the total number of modifications that failed. This is a combination of both failed item updates, failed creations and failed removals.

  Returns:
    total number of updates failed
  Since:
    6.1

### getTotalUpdatesAttempted

    int getTotalUpdatesAttempted()

  Returns the total number of updates attempted. This is scoped to item updates, and creations only.

  Returns:
    total number of updates attempted
  Since:
    6.1

### getItemsNotRequiringUpdates

    int getItemsNotRequiringUpdates()

  Returns the total number of updates that were sent, but not processed because the item was already up to date on the subscriber.

  Returns:
    total number of updates ignored.
  Since:
    6.1

### getItemsCreated

    int getItemsCreated()

  Returns the total number of items that were created by the update. These are new items that did not exist on the subscriber before.

  Returns:
    the total number of updates that were item creates.
  Since:
    6.1

### getItemsUpdated

    int getItemsUpdated()

  Returns the total number of item updates to pre-existing items on the subscriber. This does not include removals

  Returns:
    the total number of item updates to pre-existing items on the subscriber.
  Since:
    6.1

### getItemUpdatesFailed

    int getItemUpdatesFailed()

  Returns the total number of items for which the update failed. This does not include failed removals.

  Returns:
    the number of items that failed.
  Since:
    6.1

### getTotalRemovesAttempted

    int getTotalRemovesAttempted()

  Returns the total number of items that were marked for removal. This includes all removals that failed, succeeded or were already removed.

  Returns:
    the total number of removes attempted
  Since:
    6.1

### getItemsAlreadyRemoved

    int getItemsAlreadyRemoved()

  Returns the total number of items that were to be removed, but did not exist on the subscriber. This means the items had already been removed.

  Returns:
    the total number of removals that was already removed
  Since:
    6.1

### getItemsRemoved

    int getItemsRemoved()

  Returns the number of items successfully removed on the subscriber.

  Returns:
    the number of items successfully removed on the subscriber.
  Since:
    6.1

### getItemsFailedToRemove

    int getItemsFailedToRemove()

  Returns the total number of items for which the remove failed.

  Returns:
    the total number of items for which the remove failed.
  Since:
    6.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD